{ pkgs ? import <nixpkgs> { } }:

pkgs.tree-sitter.buildGrammar {
  src = ./.;
  version = "0.1.0";
  language = "nix-shell";
  generate = true;
  location = "tree-sitter-nix-shell";

  checkPhase = ''
    (cd ..; make test)
  '';
  nativeCheckInputs = with pkgs; [ htmlq ];
  doCheck = true;
}
